# -*- encoding: utf-8 -*-
$:.push File.expand_path("../lib", __FILE__)
require 'date'
Gem::Specification.new do |s|
  s.name        = "middleman-navsidebar"
  s.version     = "0.1.8"
  s.licenses    = ['MIT']
  s.date        = Date.today.to_s

  s.summary     = "For building navigation trees with Middleman"
  s.description = "This extension provides helpers for printing parts of the tree in your middleman templates. Forked from Bryan Braun."

  s.platform    = Gem::Platform::RUBY
  s.authors     = ["Ketan Padegaonkar"]
  s.email       = ["ketanpadegaonkar@gmail.com"]
  s.homepage    = "https://github.com/ketan/middleman-navsidebar"

  s.files         = `git ls-files`.split("\n")
  s.test_files    = `git ls-files -- {test,spec,features}/*`.split("\n")
  s.executables   = `git ls-files -- bin/*`.split("\n").map{ |f| File.basename(f) }
  s.require_paths = ["lib"]

  # The version of middleman-core this extension depends on.
  s.add_runtime_dependency("middleman-core", ["~> 3.3"])
  s.add_runtime_dependency("titleize", ["~> 1.3"])
end
